# SwiftApplicationPlugin

abstract class SwiftApplicationPlugin : Plugin<T>

A plugin that produces an executable from Swift source.

Adds compile, link and install tasks to build the executable. Defaults to looking for source files in `src/main/swift`.

Adds a SwiftApplication extension to the project to allow configuration of the executable.

#### Since

4.5

## Constructors

SwiftApplicationPlugin
Link copied to clipboard
@Inject
constructor(componentFactory: NativeComponentFactory, toolChainSelector: ToolChainSelector, attributesFactory: AttributesFactory, targetMachineFactory: TargetMachineFactory)
SwiftApplicationPlugin.

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)